[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCompositeCellEditor.CustomAlignPosition

Sets the position for the editor in the composite control.

## Declaration

Source position: grids.pas line 331

`protected procedure TCompositeCellEditor.CustomAlignPosition(`
`AControl: TControl;`
`var ANewLeft: Integer;`
`var ANewTop: Integer;`
`var ANewWidth: Integer;`
`var ANewHeight: Integer;`
`var AlignRect: TRect;`
`AlignInfo: TAlignInfo`
`); override;`

## Arguments

`AControl` |  | Editor control positioned and aligned in the method.
`ANewLeft` |  | New coordinate value derived in the method.
`ANewTop` |  | New coordinate value derived in the method.
`ANewWidth` |  | New size value derived in the method.
`ANewHeight` |  | New size value derived in the method.
`AlignRect` |  | Rectangle where the control is aligned. Not updated in the method.
`AlignInfo` |  | Not used in the current implementation.

## Description

CustomAlignPosition is an overridden method in TCompositeCellEditor used to position and align the specified control in the composite editor. Currently there is only one aligned control in the composite editor; no provisions are made for calling CustomAlignInsertBefore() or sharing space with other editors in the control.

The variable arguments are updated in the method to reflect the new position and size for the specified control, including:

- ANewLeft
- ANewTop
- ANewWidth
- ANewHeight

CustomAlignPosition does not call the inherited method.

## See also

TWinControl.CustomAlignPosition |  | Returns the aligned position for a custom-aligned child control, using the OnAlignPosition event handler.